%define _use_internal_dependency_generator 0

Name: perl-Net-DNS
Version: 0.31
Release: 4.el3
Summary: Net-DNS Perl module
License: GPL or Artistic
Group: Development/Libraries
URL: http://www.net-dns.org/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Source0: Net-DNS-%{version}.tar.gz
# Backport dn_expand security fix from 0.60 - rhbz#245616
Patch1: perl-Net-DNS-0.31-dn_expand-loop-detect.patch
# Backport randomize-id security fix from 0.60 - rhbz#245616
Patch2: perl-Net-DNS-0.31-randomize-id.patch
# Add flag to Makefile.PL to disable online tests (from v0.60)
Patch3: perl-Net-DNS-0.31-disable-online-tests.patch

BuildArch: noarch
BuildRequires: perl-Digest-HMAC

%description
Net::DNS is a collection of Perl modules that act as a Domain Name
System (DNS) resolver. It allows the programmer to perform DNS queries
that are beyond the capabilities of gethostbyname and gethostbyaddr.

The programmer should be somewhat familiar with the format of a DNS
packet and its various sections. See RFC 1035 or DNS and BIND (Albitz
& Liu) for details.

%prep
%setup -q -n Net-DNS-%{version} 
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor --no-online-tests
make

%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > Net-DNS-%{version}-filelist
if [ "$(cat Net-DNS-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%files -f Net-DNS-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Jun 28 2007 Robin Norwood <rnorwood@redhat.com>
- Resolves: rhbz#245616
- Backport patch to fix dn_expand looping issue
- Backport patch to randomize ID field
- Also allow disabling of online tests

* Mon Jan 27 2003 Chip Turner <cturner@redhat.com>
- version bump and rebuild

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- update to latest version from CPAN

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Aug  6 2002 Chip Turner <cturner@localhost.localdomain>
- update to 0.26

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Sat Jun 15 2002 cturner@redhat.com
- Specfile autogenerated

